Subject: Re: bug#11587: 24.0.97; Crash with global-linum-mode and info

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 May 2012 21:11:47 +0300

> Date: Wed, 30 May 2012 18:23:03 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Chong Yidong <[email-masked]>
> > Date: Wed, 30 May 2012 22:17:01 +0800
> > Cc: [email-masked]
> > 
> > "Lars Ljung" <[email-masked]> writes:
> > 
> > > Emacs will crash if global-linum-mode is enabled the first time I go to
> > > the info directory. This can be reproduced every time using this sequence:
> > >
> > > "C:\Program Files\GNU Emacs 24\bin\runemacs.exe" -Q
> > > M-x global-linum-mode
> > > C-h i
> > >
> > > It seems like the crash happens every time a new info buffer is created.
> > > If I first do C-h i and the M-x global-linum-mode it doesn't crash at the
> > > next C-h i. However, it will then crash when I try to go to any info node.
> > 
> > I can't reproduce this on GNU Emacs 24.0.97.3 (x86_64-unknown-linux-gnu,
> > GTK+ Version 3.2.0).  Maybe a Windows-specific problem; could you
> > provide a backtrace?
> 
> I can reproduce it, and I'm working on a fix.

I think I fixed it, please test (revision 108024 on the emacs-24
branch).